<template>
    <section class="filter-panel">
        <section class="filter-panel__static flex">
            <div class="flex">
                <div class="filter-panel__filter">Фильтр</div><div class="filter-panel__count flex">{{countFilter}}</div>
            </div>
            <div class="filter-panel__object">{{objects}} объектов</div>
        </section>
        <filter-block name="ОПЛАТА" :trigger="payment" @click.native="toggleTrigger($event, 'payment')">Тестовый текст</filter-block>
        <filter-block name="ЭКСКЛЮЗИВНОСТЬ" :trigger="exclusivity" @click.native="toggleTrigger($event, 'exclusivity')">Тестовый текст</filter-block>
        <filter-block name="ОТСЧЕТ" :trigger="counting" @click.native="toggleTrigger($event, 'counting')">Тестовый текст</filter-block>
        <filter-block name="ДОСТАВКА" :trigger="delivery" @click.native="toggleTrigger($event, 'delivery')">Тестовый текст</filter-block>
        <filter-block name="ТЕРРИТОРИЯ" :trigger="local" @click.native="toggleTrigger($event, 'local')">Тестовый текст</filter-block>
    </section>
</template>

<script>
export default {
    name: 'filter-panel',
    components: { FilterBlock: () => import('./FilterBlock') },
    data() {
        return {
            payment: false,
            exclusivity: false,
            counting: false,
            delivery: false,
            local: false
        };
    },
    computed: {
        countFilter() {
            return 10;
        },
        objects() {
            return 67;
        }
    },
    methods: {
        toggleTrigger({ target }, trigger) {
            let exceptions = ['filter-block__header', 'filter-block__header bottom-radius', 'filter-block__name', 'filter-block__arrow down', 'filter-block__arrow up'];
            if ([...exceptions].includes(target.className)) {
                this[trigger] = !this[trigger];
            }
        }
    }
};
</script>

<style scoped lang="sass">
.filter-panel__static
    justify-content: space-between
    margin-bottom: 19px

.filter-panel__filter
    font-family: 'Exo 2'
    font-style: normal
    font-weight: 300
    font-size: 18px
    color: #C2D5E9
    text-transform: uppercase

.filter-panel__count
    width: 34px
    height: 24px
    background: #EA8320
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.1)
    border-radius: 4px
    justify-content: center
    margin-left: 10px
    font-family: 'Exo 2'
    font-style: normal
    font-weight: normal
    font-size: 12px
    align-items: center

</style>
